﻿namespace DataEntity.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class PH_003_PrejmenovaniCizihoKlice : DbMigration
    {
        public override void Up()
        {
            RenameTable(name: "dbo.MernaJednotkas", newName: "MernaJednotka");
            DropForeignKey("dbo.Materialy", "MernaJednotka_MernaJednotkaId", "dbo.MernaJednotkas");
            DropIndex("dbo.Materialy", new[] { "MernaJednotka_MernaJednotkaId" });
            RenameColumn(table: "dbo.Materialy", name: "MernaJednotka_MernaJednotkaId", newName: "MernaJednotkaId");
            AlterColumn("dbo.Materialy", "MernaJednotkaId", c => c.Int(nullable: false));
            CreateIndex("dbo.Materialy", "MernaJednotkaId");
            AddForeignKey("dbo.Materialy", "MernaJednotkaId", "dbo.MernaJednotka", "MernaJednotkaId", cascadeDelete: true);
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Materialy", "MernaJednotkaId", "dbo.MernaJednotka");
            DropIndex("dbo.Materialy", new[] { "MernaJednotkaId" });
            AlterColumn("dbo.Materialy", "MernaJednotkaId", c => c.Int());
            RenameColumn(table: "dbo.Materialy", name: "MernaJednotkaId", newName: "MernaJednotka_MernaJednotkaId");
            CreateIndex("dbo.Materialy", "MernaJednotka_MernaJednotkaId");
            AddForeignKey("dbo.Materialy", "MernaJednotka_MernaJednotkaId", "dbo.MernaJednotkas", "MernaJednotkaId");
            RenameTable(name: "dbo.MernaJednotka", newName: "MernaJednotkas");
        }
    }
}
